Subject: issue 59

From: Yakov Rekhter <[email-masked]>
Date: Thu, 26 Sep 2002 11:55:25 -0700

59) Section 4.3 - Move text 
  ----------------------------------------------------------------------------
  Status: No Consensus
  Change: Potentially
  Summary: Proposal to move text around in Section 4.3 has met with one
   agreement and one disagreement.
  
  Discussion:
  
  This began with this suggestion:
  
  The text about the mimimum length, at first look, gives the impression
  that it is still part of the NLRI field description and/or the Path
  Attributes section.  A new "subsection" or heading of some sort would be
  helpfull in switching context back to the UPDATE message as a whole and
  not the path attributes field anymore.

I'll change the indentation to fix this.
  
  Jonathan agreed, and suggested this text:
  
  " The minimum length of the UPDATE message is 23 octets -- 19 octets
     for the fixed header + 2 octets for the Withdrawn Routes Length + 2
     octets for the Total Path Attribute Length (the value of Withdrawn
     Routes Length is 0 and the value of Total Path Attribute Length is
     0)."
  
  Should be moved up to just after
  
  "... the Total Path Attribute Length field and the
           Withdrawn Routes Length field."
  
  Yakov responded to this with:
  
  Disagree, as "... the Total Path Attribute Length field and the
  Withdrawn Routes Length field." explains how to calculate the length
  of NLRI field (and therefore is part of the NLRI field description),
  while "The minimum length of the UPDATE message is 23 octets...."
  has to do with the length of the UPDATE message.
  
  Jonathan also suggested:
  
  " the value of Withdrawn
     Routes Length is 0 and the value of Total Path Attribute Length is
     0)."
   
  Should be changed to
  
  " the min. value of Withdrawn
     Routes Length is 0 and the min. value of Total Path Attribute Length is
     0)."
  
  And Yakov responded with:
  
  Disagree, as the text doesn't talk about what is the minimum value
  of the Withdrawn Routes Length and Total Path Attribute Length
  fields, but talks about the value of these fields in the case of
  a min length UPDATE message. 
  
  There is no consensus.

I would suggest we change the status on this issue to Consensus.

Yakov.